﻿using UnityEngine;
using System.Collections;

public class Fire : MonoBehaviour {

    public float angle;
    public Vector2 velocity;
    public float power;
    Rigidbody2D rb;
    float startTime;

	// Use this for initialization
	void Start () {
        startTime = Time.time;
        rb = GetComponent<Rigidbody2D>();
        bool left = false;
        angle = CannonAim.angle;
        if (angle > 90)
        {
            angle -= 90;
            left = true;
        }
        velocity.y = angle / 90 * power;
        velocity.x = power - velocity.y;
        if (left)
        {
            velocity.y *= -1;
            float replace = velocity.x;
            velocity.x = velocity.y;
            velocity.y = replace;
        }
        rb.AddForce(velocity * 10);
    }
	
	// Update is called once per frame
	void Update () {
        if (Time.time - startTime > 5)
        {
            transform.localScale -= new Vector3(0.1f,0.1f,0.0f);
        }if (Time.time - startTime > 6 || transform.localScale.x <= 0)
        {
            Destroy(this.gameObject);
        }


	}
}
