﻿using UnityEngine;
using System.Collections;

public class attack : MonoBehaviour {

    int cooldownBomb;
    int cooldownSword;
    int cooldownGun;
    public GameObject bomb;
    public GameObject bullet;
    BoxCollider2D col;
    player myParent;
    //public GameObject player;

    private Animator anim;

    private string shootkey = "Fire1";
    private string usekey = "Fire2";
    private string bombkey = "Fire3";
    private string swordKey = "Fire2";

    private string playerkey = "";

    // Use this for initialization
    void Start ()
    {
        cooldownSword = 0;
        cooldownBomb = 0;
        cooldownGun = 0;
        col = GetComponent<BoxCollider2D>();
        myParent = transform.parent.GetComponent<player>();
        // player = GetComponentInParent<GameObject>();

        if (myParent.tag == "Player2")
        {
            playerkey = "_P2";
        }

        anim = GetComponentInParent<Animator>();
    }
	
	// Update is called once per frame
	void Update ()
    {
        transform.position = transform.parent.transform.position + new Vector3(-0.4f, 0.3f, 0);
        cooldownBomb--;
        cooldownSword--;
        cooldownGun--;
	    if (myParent.faceingLeft)
        {
            col.offset = new Vector2(1.2f, col.offset.y);
        }
        else
        {
            col.offset = new Vector2(3.5f, col.offset.y);
        }

        if (CannonAim.activeController != myParent.gameObject)
        {
            if (Input.GetAxis(bombkey + playerkey) == 1 && cooldownBomb < 0)
            {
                cooldownBomb = 30;
                if (myParent.faceingLeft)
                {
                    GameObject b = Instantiate(bomb, transform.parent.transform.position + new Vector3(-1.0f, 0.0f, 0.0f), Quaternion.identity) as GameObject;
                    b.GetComponent<Rigidbody2D>().AddForce(new Vector3(10.0f, 0.0f, 0.0f));

                    Physics2D.IgnoreCollision(myParent.GetComponent<BoxCollider2D>(), b.GetComponent<CircleCollider2D>());
                }
                else
                {
                    GameObject b = Instantiate(bomb, transform.parent.transform.position + new Vector3(1.0f, 0.0f, 0.0f), Quaternion.identity) as GameObject;
                    b.GetComponent<Rigidbody2D>().AddForce(new Vector3(-10.0f, 0.0f, 0.0f));

                    Physics2D.IgnoreCollision(myParent.GetComponent<BoxCollider2D>(), b.GetComponent<CircleCollider2D>());
                }
            }
            if (Input.GetAxis(shootkey + playerkey) == 1 && cooldownGun < 0)
            {
                cooldownGun = 30;
                if (myParent.faceingLeft)
                {
                    GameObject b = Instantiate(bullet, myParent.transform.position - new Vector3(1.0f, 0.0f, 0.0f), Quaternion.identity) as GameObject;
                    b.GetComponent<Rigidbody2D>().velocity = new Vector3(-10.0f, 0.0f, 0.0f);

                    Destroy(b, 2.0f);
                }
                else
                {
                    GameObject b = Instantiate(bullet, myParent.transform.position + new Vector3(1.0f, 0.0f, 0.0f), Quaternion.identity) as GameObject;
                    b.GetComponent<Rigidbody2D>().velocity = new Vector3(10.0f, 0.0f, 0.0f);

                    Destroy(b, 2.0f);
                }
            }
        }
    }

    void OnTriggerStay2D(Collider2D col)
    {
        if (!myParent.hasFlag)
        {
            if (Input.GetAxis(swordKey + playerkey) == 1 && cooldownSword < 0)
            {
                cooldownSword = 20;
                transform.gameObject.tag = "attack";

                anim.SetTrigger("SwordAttack");
            }
            else
            {
                transform.gameObject.tag = "passive";
            }
        }
        else
        {
            if (myParent.hasFlag)
            {
                //transform.FindChild("flag").parent = null;
            }
        }
    }
}
