﻿using UnityEngine;
using System.Collections;

public class endgame : MonoBehaviour {

    public Sprite player1WinScreen;
    public Sprite player2WinScreen;

    private SpriteRenderer gameOverScreen;

    private bool finished;
    private int finNum;

    // Use this for initialization
    void Start ()
    {
        gameOverScreen = GetComponent<SpriteRenderer>();
        finished = false;
        finNum = 0;
	}
	
	public void playerOneWin()
    {
        gameOverScreen.sprite = player1WinScreen;
        finNum = 1;
        finished = true;
    }

    public void playerTwoWin()
    {
        gameOverScreen.sprite = player2WinScreen;
        finNum = 2;
        finished = true;
    }

    private void Update()
    {
        if (finished)
        {
            if (Input.GetKeyDown("space"))
            {
                finished = false;

                GameObject.FindGameObjectWithTag("Player1").GetComponent<player>().lives = finNum == 1 ? 3 : 4;
                GameObject.FindGameObjectWithTag("Player1").GetComponent<player>().health = 5;
                GameObject.FindGameObjectWithTag("Player1").GetComponent<player>().dead = false;
                GameObject.FindGameObjectWithTag("Player1").GetComponent<player>().hasFlag = false;
                pointHolder.p1Flag = 0;

                GameObject.FindGameObjectWithTag("Player2").GetComponent<player>().lives = finNum == 2 ? 3 : 4;
                GameObject.FindGameObjectWithTag("Player2").GetComponent<player>().health = 5;
                GameObject.FindGameObjectWithTag("Player2").GetComponent<player>().dead = false;
                GameObject.FindGameObjectWithTag("Player2").GetComponent<player>().hasFlag = false;
                pointHolder.p2Flag = 0;

                // Reset flag
                GameObject.FindGameObjectWithTag("flag").transform.parent = GameObject.FindGameObjectWithTag("flag").GetComponent<Flag>().initialParent;
                GameObject.FindGameObjectWithTag("flag").transform.position = new Vector3(0, 0, 0);

                gameOverScreen.sprite = null;
            }
        }
    }
}
