﻿using UnityEngine;
using System.Collections;

public class Flag : MonoBehaviour {

    public Transform initialParent;
	
	
	void Start () {
        if (transform.parent != null)
            initialParent = transform.parent;
    }

    void OnTriggerStay2D(Collider2D col)
    {
        if ((col.gameObject.tag == "Player1" && Input.GetAxis("Fire2") == 1) ||
            (col.gameObject.tag == "Player2" && Input.GetAxis("Fire2_P2") == 1)
            && !gameObject.transform.parent.gameObject.tag.Contains("Player"))
        {
            gameObject.transform.parent = col.gameObject.transform;
            transform.position = col.gameObject.transform.position + new Vector3(-0.5f, 0.5f, 0.01f);

            col.GetComponentInChildren<attack>().transform.gameObject.tag = "passive";
        }
    }
    

}
